# (C) Copyright 2005 AixtraWare <http://aixtraware.de>
# Author: Joachim Schmitz <js@aixtraware.de>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2 as published
# by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
# 02111-1307, USA.
#
# $Id: WAeUPPermissions.py 167 2005-11-12 16:17:03Z joachim $

__author__ = "Joachim Schmitz <js@aixtraware.de>"

"""WAeUP Student Permissions
"""

from AccessControl import ModuleSecurityInfo
from Products.CMFCore.permissions import setDefaultRoles
security = ModuleSecurityInfo('Products.WAeUP.WAeUPPermissions')

#  - 'University Manage' : Permission you need to manage a University
#
security.declarePublic('UniversityManage')
UniversityManage = "University Manage"
setDefaultRoles(UniversityManage, ('Manager', 
                                   ))
#  - 'Student Manage' : Permission you need to manage Students
#
security.declarePublic('StudentManage')
StudentManage = "Student Manage"
setDefaultRoles(StudentManage, ('Manager', 
                                'UniversityManager', 
                                'StudentManager', 
                                'FacultyManager', 
                                'Owner',))
#  - 'Faculty Manage' : Permission you need to manage a Faculty
#
security.declarePublic('FacultyManage')
FacultyManage = "Faculty Manage"
setDefaultRoles(FacultyManage, ('Manager', 
                                'UniversityManager', 
                                'FacultyManager', 
                                ))
#  - 'Department Manage' : Permission you need to manage a Department
#
security.declarePublic('DepartmentManage')
DepartmentManage = "Department Manage"
setDefaultRoles(DepartmentManage, ('Manager', 
                                   'UniversityManager', 
                                   'FacultyManager', 
                                   'DepartmentManager', 
                                   ))
#  - 'Course Manage' : Permission you need to manage a Department
#
security.declarePublic('CourseManage')
CourseManage = "Course Manage"
setDefaultRoles(CourseManage, ('Manager', 
                               'UniversityManager', 
                               'FacultyManager', 
                               'DepartmentManager', 
                               'CourseManager', 
                               ))

